commit:     238d11bdd648daa411015f6e07b1052bdaa0aaad
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue May 19 11:13:13 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue May 19 11:13:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=238d11bd

dev-python/pytest-randomly: make repoman happy

repoman was complaing about the lines starting with spaces

also, tests don't seem to be working

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-randomly/pytest-randomly-3.3.1-r1.ebuild | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/dev-python/pytest-randomly/pytest-randomly-3.3.1-r1.ebuild 
b/dev-python/pytest-randomly/pytest-randomly-3.3.1-r1.ebuild
index 7aa75e0..89096d8 100644
--- a/dev-python/pytest-randomly/pytest-randomly-3.3.1-r1.ebuild
+++ b/dev-python/pytest-randomly/pytest-randomly-3.3.1-r1.ebuild
@@ -18,14 +18,17 @@ 
SRC_URI="https://github.com/pytest-dev/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
 LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
+
+# many failures, both with pytest-5 and 4
+RESTRICT="test"
+
 RDEPEND="
        dev-python/docutils[${PYTHON_USEDEP}]
        dev-python/factory_boy[${PYTHON_USEDEP}]
        dev-python/faker[${PYTHON_USEDEP}]
        dev-python/numpy[${PYTHON_USEDEP}]
        dev-python/pygments[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
 
        $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' 
python3_6 python3_7)
 "
@@ -44,7 +47,9 @@ DEPEND="
 #              $(python_gen_cond_dep 
'dev-python/check-manifest[${PYTHON_USEDEP}]' python3_8)
 #              dev-python/multilint[${PYTHON_USEDEP}]
 
+distutils_enable_tests pytest
+
 python_test() {
-    distutils_install_for_testing
-    pytest -vv || die "Testsuite failed under ${EPYTHON}"
+       distutils_install_for_testing
+       pytest -vv || die "Testsuite failed under ${EPYTHON}"
 }

Reply via email to